View Issue Details

IDProjectCategoryView StatusLast Update
0003029SymmetricDSImprovementpublic2020-05-01 14:35
ReporterchensonAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.0 
Target Version3.11.8Fixed in Version3.11.8 
Summary0003029: Add a parameter that will force SymmetricDS to create nclobs in sym_data on Oracle.
DescriptionWe already have a parameter that is specific to sql server called mssql.use.ntypes.for.sync. Maybe we should deprecate that and create a generic parameter instead?
Tagsddl/schema, install

Relationships

related to 0004374 closedelong NClob support fails on Oracle 

Activities

chenson

2017-05-03 12:04

administrator   ~0001042

Refer to this forum discussion.

https://sourceforge.net/p/symmetricds/discussion/739236/thread/75d666fe/?limit=25#0e5b

stvje1

2019-10-04 06:04

reporter   ~0001611

We have the need for handling nvarchars as well. Any hope that issue will scheduled to be solved?

Related Changesets

SymmetricDS: 3.11 d559e9ed

2020-04-08 10:57:29

admin

Details Diff
0003029: Add a parameter that will force SymmetricDS to create nclobs in
sym_data on Oracle.

0003029
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.11 577f653f

2020-04-09 12:21:38

admin

Details Diff
0003029: Add a parameter that will force SymmetricDS to create nclobs in
sym_data on Oracle.

0003029
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2017-03-29 12:10 chenson New Issue
2017-05-03 12:04 chenson Note Added: 0001042
2019-04-24 10:52 elong Tag Attached: ddl/schema
2019-04-24 10:52 elong Tag Attached: install
2019-10-04 06:04 stvje1 Note Added: 0001611
2020-03-25 08:27 elong Assigned To => elong
2020-03-25 08:27 elong Status new => assigned
2020-03-25 08:27 elong Product Version => 3.11.0
2020-03-25 08:27 elong Target Version => 3.11.8
2020-04-08 10:57 elong Status assigned => resolved
2020-04-08 10:57 elong Resolution open => fixed
2020-04-08 10:57 elong Fixed in Version => 3.11.8
2020-04-08 11:00 admin Changeset attached => SymmetricDS 3.11 d559e9ed
2020-04-09 17:00 admin Changeset attached => SymmetricDS 3.11 577f653f
2020-04-21 15:02 admin Status resolved => closed
2020-05-01 14:35 elong Relationship added related to 0004374